// _LogsInterfaceController_EOArchive.java
// Generated by EnterpriseObjects palette at vendredi 27 juillet 2007 15 h 04 Europe/Paris

package org.cocktail.application.client.tools;

import com.webobjects.eoapplication.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eointerface.*;
import com.webobjects.eointerface.swing.*;
import com.webobjects.foundation.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.table.*;
import javax.swing.text.*;

public class _LogsInterfaceController_EOArchive extends com.webobjects.eoapplication.EOArchive {
    com.webobjects.eointerface.swing.EOFrame _eoFrame0, _eoFrame1, _eoFrame2;
    com.webobjects.eointerface.swing.EOTextArea _nsTextView0, _nsTextView1, _nsTextView2;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0, _nsTextField1, _nsTextField2;
    com.webobjects.eointerface.swing.EOView _nsCustomView0, _nsCustomView1, _nsView0, _nsView1;
    javax.swing.JButton _nsButton0, _nsButton1, _nsButton2;
    javax.swing.JPanel _nsView2, _nsView3, _nsView4;
    javax.swing.JSplitPane _nsCustomView2;
    javax.swing.JTabbedPane _nsTabView0;

    public _LogsInterfaceController_EOArchive(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _eoFrame2 = (com.webobjects.eointerface.swing.EOFrame)_registered(new com.webobjects.eointerface.swing.EOFrame(), "erroutClient");
        _nsView4 = (JPanel)_eoFrame2.getContentPane();
        _eoFrame1 = (com.webobjects.eointerface.swing.EOFrame)_registered(new com.webobjects.eointerface.swing.EOFrame(), "stdoutClient");
        _nsView3 = (JPanel)_eoFrame1.getContentPane();
        _nsView1 = (com.webobjects.eointerface.swing.EOView)_registered(new com.webobjects.eointerface.swing.EOView(), "NSView");
        _nsButton2 = (javax.swing.JButton)_registered(new javax.swing.JButton("email.Envoyer les logs"), "NSButton2");
        _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("Refresh"), "NSButton1");
        _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("refuser.Fermer"), "NSButton");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "tfDestinataire")) != null)) {
            _nsTextField2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField2");
        } else {
            _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "txtLogServer")) != null)) {
            _nsTextView2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextArea)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextView2");
        } else {
            _nsTextView2 = (com.webobjects.eointerface.swing.EOTextArea)_registered(new com.webobjects.eointerface.swing.EOTextArea(), "NSTextView");
        }

        _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField111");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "erroutClient")) != null)) {
            _nsCustomView1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsCustomView1");
        } else {
            _nsCustomView1 = (com.webobjects.eointerface.swing.EOView)_registered(new com.webobjects.eointerface.swing.EOView(), "");
        }

        _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField111");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "stdoutClient")) != null)) {
            _nsCustomView0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsCustomView0");
        } else {
            _nsCustomView0 = (com.webobjects.eointerface.swing.EOView)_registered(new com.webobjects.eointerface.swing.EOView(), "");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "txtStdoutClient")) != null)) {
            _nsTextView1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextArea)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextView1");
        } else {
            _nsTextView1 = (com.webobjects.eointerface.swing.EOTextArea)_registered(new com.webobjects.eointerface.swing.EOTextArea(), "NSTextView");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "txtErroutClient")) != null)) {
            _nsTextView0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextArea)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextView0");
        } else {
            _nsTextView0 = (com.webobjects.eointerface.swing.EOTextArea)_registered(new com.webobjects.eointerface.swing.EOTextArea(), "NSTextView");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewClient")) != null)) {
            _nsCustomView2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JSplitPane)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsCustomView2");
        } else {
            _nsCustomView2 = (javax.swing.JSplitPane)_registered(new javax.swing.JSplitPane(), "View");
        }

        _nsView0 = (com.webobjects.eointerface.swing.EOView)_registered(new com.webobjects.eointerface.swing.EOView(), "NSView");
        _nsTabView0 = (javax.swing.JTabbedPane)_registered(new javax.swing.JTabbedPane(), "NSTabView");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "component")) != null)) {
            _eoFrame0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOFrame)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoFrame0");
        } else {
            _eoFrame0 = (com.webobjects.eointerface.swing.EOFrame)_registered(new com.webobjects.eointerface.swing.EOFrame(), "MainWindow");
        }

        _nsView2 = (JPanel)_eoFrame0.getContentPane();
    }

    protected void _awaken() {
        super._awaken();
        _nsButton2.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "sendLogs", _nsButton2), ""));
        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "refresh", _nsButton1), ""));
        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "annuler", _nsButton0), ""));

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _connect(_owner(), _nsTextField2, "tfDestinataire");
        }

        if (_replacedObjects.objectForKey("_nsTextView2") == null) {
            _connect(_owner(), _nsTextView2, "txtLogServer");
        }

        if (_replacedObjects.objectForKey("_nsCustomView1") == null) {
            _connect(_owner(), _nsCustomView1, "erroutClient");
        }

        if (_replacedObjects.objectForKey("_nsCustomView0") == null) {
            _connect(_owner(), _nsCustomView0, "stdoutClient");
        }

        if (_replacedObjects.objectForKey("_nsTextView1") == null) {
            _connect(_owner(), _nsTextView1, "txtStdoutClient");
        }

        if (_replacedObjects.objectForKey("_nsTextView0") == null) {
            _connect(_owner(), _nsTextView0, "txtErroutClient");
        }

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _connect(_owner(), _eoFrame0, "component");
        }

        if (_replacedObjects.objectForKey("_nsCustomView2") == null) {
            _connect(_owner(), _nsCustomView2, "viewClient");
        }
    }

    protected void _init() {
        super._init();
        if (!(_nsView4.getLayout() instanceof EOViewLayout)) { _nsView4.setLayout(new EOViewLayout()); }
        _nsCustomView1.setSize(485, 165);
        _nsCustomView1.setLocation(65, 42);
        ((EOViewLayout)_nsView4.getLayout()).setAutosizingMask(_nsCustomView1, EOViewLayout.WidthSizable | EOViewLayout.HeightSizable);
        _nsView4.add(_nsCustomView1);
        _nsView4.setSize(628, 265);
        _eoFrame2.setTitle("Panel");
        _eoFrame2.setLocation(1118, 229);
        _eoFrame2.setSize(628, 265);
        if (!(_nsView3.getLayout() instanceof EOViewLayout)) { _nsView3.setLayout(new EOViewLayout()); }
        _nsCustomView0.setSize(470, 175);
        _nsCustomView0.setLocation(86, 41);
        ((EOViewLayout)_nsView3.getLayout()).setAutosizingMask(_nsCustomView0, EOViewLayout.WidthSizable | EOViewLayout.HeightSizable);
        _nsView3.add(_nsCustomView0);
        _nsView3.setSize(616, 281);
        _eoFrame1.setTitle("Panel");
        _eoFrame1.setLocation(1112, 664);
        _eoFrame1.setSize(616, 281);
        if (!(_nsView1.getLayout() instanceof EOViewLayout)) { _nsView1.setLayout(new EOViewLayout()); }
        _nsTextView2.setSize(505, 290);
        _nsTextView2.setLocation(20, 20);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsTextView2, EOViewLayout.WidthSizable | EOViewLayout.HeightSizable);
        _nsView1.add(_nsTextView2);
        _setFontForComponent(_nsButton2, "Lucida Grande", 13, Font.PLAIN);
        _nsButton2.setMargin(new Insets(0, 2, 0, 2));
        _setFontForComponent(_nsButton1, "Lucida Grande", 13, Font.PLAIN);
        _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        _setFontForComponent(_nsButton0, "Lucida Grande", 13, Font.PLAIN);
        _nsButton0.setMargin(new Insets(0, 2, 0, 2));

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _setFontForComponent(_nsTextField2, "Lucida Grande", 13, Font.PLAIN);
            _nsTextField2.setEditable(true);
            _nsTextField2.setOpaque(true);
            _nsTextField2.setText("");
            _nsTextField2.setHorizontalAlignment(javax.swing.JTextField.LEFT);
            _nsTextField2.setSelectable(true);
            _nsTextField2.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextView2") == null) {
            _nsTextView2.setEditable(true);
            _nsTextView2.setOpaque(true);
            _nsTextView2.setText("");
        }

        _setFontForComponent(_nsTextField1, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField1.setEditable(false);
        _nsTextField1.setOpaque(false);
        _nsTextField1.setText("Sortie Erreur\n");
        _nsTextField1.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField1.setSelectable(false);
        _nsTextField1.setEnabled(true);
        _nsTextField1.setBorder(null);

        if (_replacedObjects.objectForKey("_nsCustomView1") == null) {
            if (!(_nsCustomView1.getLayout() instanceof EOViewLayout)) { _nsCustomView1.setLayout(new EOViewLayout()); }
            _nsTextView0.setSize(471, 135);
            _nsTextView0.setLocation(8, 25);
            ((EOViewLayout)_nsCustomView1.getLayout()).setAutosizingMask(_nsTextView0, EOViewLayout.WidthSizable | EOViewLayout.HeightSizable);
            _nsCustomView1.add(_nsTextView0);
            _nsTextField1.setSize(101, 11);
            _nsTextField1.setLocation(6, 6);
            ((EOViewLayout)_nsCustomView1.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MaxXMargin | EOViewLayout.MaxYMargin);
            _nsCustomView1.add(_nsTextField1);
        }

        _setFontForComponent(_nsTextField0, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField0.setEditable(false);
        _nsTextField0.setOpaque(false);
        _nsTextField0.setText("Sortie Standard");
        _nsTextField0.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField0.setSelectable(false);
        _nsTextField0.setEnabled(true);
        _nsTextField0.setBorder(null);

        if (_replacedObjects.objectForKey("_nsCustomView0") == null) {
            if (!(_nsCustomView0.getLayout() instanceof EOViewLayout)) { _nsCustomView0.setLayout(new EOViewLayout()); }
            _nsTextView1.setSize(459, 143);
            _nsTextView1.setLocation(6, 26);
            ((EOViewLayout)_nsCustomView0.getLayout()).setAutosizingMask(_nsTextView1, EOViewLayout.WidthSizable | EOViewLayout.HeightSizable);
            _nsCustomView0.add(_nsTextView1);
            _nsTextField0.setSize(101, 11);
            _nsTextField0.setLocation(4, 7);
            ((EOViewLayout)_nsCustomView0.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MaxXMargin | EOViewLayout.MaxYMargin);
            _nsCustomView0.add(_nsTextField0);
        }

        if (_replacedObjects.objectForKey("_nsTextView1") == null) {
            _nsTextView1.setEditable(true);
            _nsTextView1.setOpaque(true);
            _nsTextView1.setText("");
        }

        if (_replacedObjects.objectForKey("_nsTextView0") == null) {
            _nsTextView0.setEditable(true);
            _nsTextView0.setOpaque(true);
            _nsTextView0.setText("");
        }

        if (!(_nsView0.getLayout() instanceof EOViewLayout)) { _nsView0.setLayout(new EOViewLayout()); }
        _nsCustomView2.setSize(505, 290);
        _nsCustomView2.setLocation(20, 20);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsCustomView2, EOViewLayout.WidthSizable | EOViewLayout.HeightSizable);
        _nsView0.add(_nsCustomView2);
        _nsTabView0.addTab("Logs client", _nsView0);
        _nsTabView0.addTab("Logs serveur", _nsView1);
        if (!(_nsView2.getLayout() instanceof EOViewLayout)) { _nsView2.setLayout(new EOViewLayout()); }
        _nsTabView0.setSize(555, 370);
        _nsTabView0.setLocation(11, 3);
        ((EOViewLayout)_nsView2.getLayout()).setAutosizingMask(_nsTabView0, EOViewLayout.WidthSizable | EOViewLayout.HeightSizable);
        _nsView2.add(_nsTabView0);
        _nsButton0.setSize(78, 26);
        _nsButton0.setLocation(490, 379);
        ((EOViewLayout)_nsView2.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinXMargin | EOViewLayout.MinYMargin);
        _nsView2.add(_nsButton0);
        _nsButton1.setSize(83, 26);
        _nsButton1.setLocation(400, 379);
        ((EOViewLayout)_nsView2.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MaxXMargin | EOViewLayout.MinYMargin);
        _nsView2.add(_nsButton1);
        _nsButton2.setSize(135, 26);
        _nsButton2.setLocation(258, 379);
        ((EOViewLayout)_nsView2.getLayout()).setAutosizingMask(_nsButton2, EOViewLayout.MinYMargin);
        _nsView2.add(_nsButton2);
        _nsTextField2.setSize(238, 22);
        _nsTextField2.setLocation(14, 379);
        ((EOViewLayout)_nsView2.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsView2.add(_nsTextField2);

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _nsView2.setSize(577, 415);
            _eoFrame0.setTitle("Window");
            _eoFrame0.setLocation(97, 509);
            _eoFrame0.setSize(577, 415);
        }
    }
}
